Bug 1266678 - dracut-init seg faults on boot
dracut-init seg faults on boot
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-26 09:08 EDT by 黃健毅
Modified: 2015-10-19 12:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-19 12:15:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description 黃健毅 2015-09-26 09:08:05 EDT
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/45.0.2454.101 Safari/537.36
Build Identifier: 

After installing latest kernel from repo (4.1.7), dracut-init repeatedly comes up with seg fault message and boot does not continue. Console floods with this message, with it coming up approximately once every few seconds.

Rebooting and selecting 4.1.6 kernel works, so filing it under kernel.

Reproducible: Always

Steps to Reproduce:
1. Boot up with 4.1.7-200 kernel
2.
3.
Actual Results:  
System repeatedly displays seg fault message.

Expected Results:  
Boot normally
Comment 1 Josh Boyer 2015-09-28 09:02:49 EDT
Please attach a photo of the screen with the message.  Also please verify that the initramfs file for this kernel in /boot is of similar size to the other initramfs files.
Comment 2 黃健毅 2015-09-28 10:05:10 EDT
I removed the offending kernel, but will try reinstalling at will provide if it reoccurrs.
Comment 3 黃健毅 2015-09-29 10:25:45 EDT
So far, apart from the normal nouveau flood, the dracut-init seg faul hasn't appeared, so perhaps regenerating the initramfs files as part of the reinstall fixed. Will keep this open for now and will post if I see the error again.
Comment 4 黃健毅 2015-10-19 12:15:55 EDT
Closing as no longer appearing.

Note You need to log in before you can comment on or make changes to this bug.